Cancel workflow run
curl --request POST \
--url https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "Cancelled by user"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Cancelled by user'})
};
fetch('https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel"
payload = { "reason": "Cancelled by user" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"Cancelled by user\"\n}")
.asString();const url = 'https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel';
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Cancelled by user'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel"
payload := strings.NewReader("{\n \"reason\": \"Cancelled by user\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
request.AddJsonBody("{\n \"reason\": \"Cancelled by user\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'Cancelled by user'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": "success",
"message": "",
"data": {
"run_id": "run_abc123",
"status": "succeeded",
"output": {
"answer": "Completed"
},
"error": null,
"started_at": "2026-04-30T10:00:00Z",
"ended_at": "2026-04-30T10:00:15Z"
}
}{
"detail": [
{
"type": "greater_than",
"loc": [
"query",
"limit"
],
"msg": "Input should be greater than 0",
"input": 0,
"ctx": {
"gt": 0
}
}
]
}Workflow
Cancel workflow run
Cancel a pending, running, or paused workflow run. Succeeded, failed, cancelled, or timed-out runs cannot be cancelled.
POST
/
open
/
agentic_engine
/
laiye
/
v1
/
app
/
run
/
{run_id}
/
cancel
Cancel workflow run
curl --request POST \
--url https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"reason": "Cancelled by user"
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Cancelled by user'})
};
fetch('https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel"
payload = { "reason": "Cancelled by user" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"Cancelled by user\"\n}")
.asString();const url = 'https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel';
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Cancelled by user'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel"
payload := strings.NewReader("{\n \"reason\": \"Cancelled by user\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
request.AddJsonBody("{\n \"reason\": \"Cancelled by user\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://adp-global.laiye.com/open/agentic_engine/laiye/v1/app/run/{run_id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'Cancelled by user'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": "success",
"message": "",
"data": {
"run_id": "run_abc123",
"status": "succeeded",
"output": {
"answer": "Completed"
},
"error": null,
"started_at": "2026-04-30T10:00:00Z",
"ended_at": "2026-04-30T10:00:15Z"
}
}{
"detail": [
{
"type": "greater_than",
"loc": [
"query",
"limit"
],
"msg": "Input should be greater than 0",
"input": 0,
"ctx": {
"gt": 0
}
}
]
}Authorizations
API Key for workflow endpoints.
Path Parameters
Run ID.
Body
application/json
Optional cancel reason. When provided, it is stored as the run error message.